# Automatically generated file. DO NOT MODIFY
#
# This file is generated by device/huawei/hi6250-9-common/setup-makefiles.sh

PRODUCT_SOONG_NAMESPACES += \
    vendor/huawei/hi6250-9-common

PRODUCT_COPY_FILES += \
    vendor/huawei/hi6250-9-common/proprietary/bin/tee_auth_daemon:$(TARGET_COPY_OUT_SYSTEM)/bin/tee_auth_daemon \
    vendor/huawei/hi6250-9-common/proprietary/etc/native_packages.bin:$(TARGET_COPY_OUT_SYSTEM)/etc/native_packages.bin \
    vendor/huawei/hi6250-9-common/proprietary/lib/libc_secshared.so:$(TARGET_COPY_OUT_SYSTEM)/lib/libc_secshared.so \
    vendor/huawei/hi6250-9-common/proprietary/lib/libteec_client.so:$(TARGET_COPY_OUT_SYSTEM)/lib/libteec_client.so \
    vendor/huawei/hi6250-9-common/proprietary/lib/libteeclientjni.so:$(TARGET_COPY_OUT_SYSTEM)/lib/libteeclientjni.so \
    vendor/huawei/hi6250-9-common/proprietary/lib/libtuidaemon.so:$(TARGET_COPY_OUT_SYSTEM)/lib/libtuidaemon.so \
    vendor/huawei/hi6250-9-common/proprietary/lib64/libc_secshared.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libc_secshared.so \
    vendor/huawei/hi6250-9-common/proprietary/lib64/libteec_client.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libteec_client.so \
    vendor/huawei/hi6250-9-common/proprietary/lib64/libteeclientjni.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libteeclientjni.so \
    vendor/huawei/hi6250-9-common/proprietary/lib64/libtuidaemon.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libtuidaemon.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/android.hardware.drm@1.1-service.widevine:$(TARGET_COPY_OUT_VENDOR)/bin/hw/android.hardware.drm@1.1-service.widevine \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/android.hardware.drm@1.1-service.widevine.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/android.hardware.drm@1.1-service.widevine.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libwvhidl.so:$(TARGET_COPY_OUT_VENDOR)/lib/libwvhidl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/32e6a847-ac89-4f81-8a13-f4ae50451d7f.sec:$(TARGET_COPY_OUT_VENDOR)/bin/32e6a847-ac89-4f81-8a13-f4ae50451d7f.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/335129cd-41fa-4b53-9797-5ccb202a52d4.sec:$(TARGET_COPY_OUT_VENDOR)/bin/335129cd-41fa-4b53-9797-5ccb202a52d4.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/4382f063-a6c3-485f-8786-e275512bd2ad.sec:$(TARGET_COPY_OUT_VENDOR)/bin/4382f063-a6c3-485f-8786-e275512bd2ad.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/4ae7ba51-2810-4cee-abbe-a42307b4ace3.sec:$(TARGET_COPY_OUT_VENDOR)/bin/4ae7ba51-2810-4cee-abbe-a42307b4ace3.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/54ad737b-d84a-46bd-b993-1a90883f66f7.sec:$(TARGET_COPY_OUT_VENDOR)/bin/54ad737b-d84a-46bd-b993-1a90883f66f7.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/6c8cf255-ca98-439e-a98e-ade64022ecb6.sec:$(TARGET_COPY_OUT_VENDOR)/bin/6c8cf255-ca98-439e-a98e-ade64022ecb6.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/859703f3-3cc5-4e88-b263-08f9ce82e3d0.sec:$(TARGET_COPY_OUT_VENDOR)/bin/859703f3-3cc5-4e88-b263-08f9ce82e3d0.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/86310d18-5659-47c9-b212-841a3ca4f814.sec:$(TARGET_COPY_OUT_VENDOR)/bin/86310d18-5659-47c9-b212-841a3ca4f814.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/868ccafb-794b-46c6-b5c4-9f1462de4e02.sec:$(TARGET_COPY_OUT_VENDOR)/bin/868ccafb-794b-46c6-b5c4-9f1462de4e02.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/883890ba-3ef8-4f0b-9c02-f5874acbf2ff.sec:$(TARGET_COPY_OUT_VENDOR)/bin/883890ba-3ef8-4f0b-9c02-f5874acbf2ff.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/993e26b8-0273-408e-98d3-60c997c37121.sec:$(TARGET_COPY_OUT_VENDOR)/bin/993e26b8-0273-408e-98d3-60c997c37121.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/9b17660b-8968-4eed-917e-dd32379bd548.sec:$(TARGET_COPY_OUT_VENDOR)/bin/9b17660b-8968-4eed-917e-dd32379bd548.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/CameraDaemon:$(TARGET_COPY_OUT_VENDOR)/bin/CameraDaemon \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/a3d05777-b0ec-43b0-8887-a7f93697830a.sec:$(TARGET_COPY_OUT_VENDOR)/bin/a3d05777-b0ec-43b0-8887-a7f93697830a.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/b4b71581-add2-e89f-d536-f35436dc7973.sec:$(TARGET_COPY_OUT_VENDOR)/bin/b4b71581-add2-e89f-d536-f35436dc7973.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/c30917f8-d869-4379-8f46-4ac62be198dd.sec:$(TARGET_COPY_OUT_VENDOR)/bin/c30917f8-d869-4379-8f46-4ac62be198dd.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/cdfinger_fps1256s_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/cdfinger_fps1256s_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/d77c4d60-d279-4425-afa8-7f94559eae16.sec:$(TARGET_COPY_OUT_VENDOR)/bin/d77c4d60-d279-4425-afa8-7f94559eae16.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/e00d7df7-79e5-4507-9d8c-df03d5a7a8a5.sec:$(TARGET_COPY_OUT_VENDOR)/bin/e00d7df7-79e5-4507-9d8c-df03d5a7a8a5.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/e8014913-e501-4d44-a9d6-058ec3b93b90.sec:$(TARGET_COPY_OUT_VENDOR)/bin/e8014913-e501-4d44-a9d6-058ec3b93b90.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fd1bbfb2-9a62-4b27-8fdb-a503529076af.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fd1bbfb2-9a62-4b27-8fdb-a503529076af.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1021_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1021_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1021_ta_berlin.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1021_ta_berlin.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1021_ta_mha.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1021_ta_mha.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1021_ta_sw15.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1021_ta_sw15.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1021_ta_venus.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1021_ta_venus.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1022_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1022_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1022_ta_sw20.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1022_ta_sw20.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1022_ta_sw20_pra.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1022_ta_sw20_pra.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1023_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1023_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1023_ta_barca.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1023_ta_barca.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1075_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1075_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1140_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1140_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1140_ta_sw20.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1140_ta_sw20.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1150_ta_sw20.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1150_ta_sw20.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1261s_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1261s_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1262_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1262_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1266Z120_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1266Z120_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1266Z120_ta_handel.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1266Z120_ta_handel.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1268_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1268_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/fpc_1268_ta_sw22.sec:$(TARGET_COPY_OUT_VENDOR)/bin/fpc_1268_ta_sw22.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/gnss_control_hisi:$(TARGET_COPY_OUT_VENDOR)/bin/gnss_control_hisi \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/gnss_engine_hisi:$(TARGET_COPY_OUT_VENDOR)/bin/gnss_engine_hisi \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/gnss_supl20clientd_hisi:$(TARGET_COPY_OUT_VENDOR)/bin/gnss_supl20clientd_hisi \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/gnss_watchlssd_thirdparty:$(TARGET_COPY_OUT_VENDOR)/bin/gnss_watchlssd_thirdparty \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_3206_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_3206_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_3258_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_3258_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_3266_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_3266_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_3288_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_3288_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_3288_ta_pra.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_3288_ta_pra.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_5266_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_5266_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_5296_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_5296_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_5296_ta_handel.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_5296_ta_handel.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/goodix_8206_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/goodix_8206_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/gpsdaemon:$(TARGET_COPY_OUT_VENDOR)/bin/gpsdaemon \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hisecd:$(TARGET_COPY_OUT_VENDOR)/bin/hisecd \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/android.hardware.secure_element@1.0-service.hisi:$(TARGET_COPY_OUT_VENDOR)/bin/hw/android.hardware.secure_element@1.0-service.hisi \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/rild:$(TARGET_COPY_OUT_VENDOR)/bin/hw/rild \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/vendor.huawei.hardware.biometrics.fingerprint@2.1-service:$(TARGET_COPY_OUT_VENDOR)/bin/hw/vendor.huawei.hardware.biometrics.fingerprint@2.1-service \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/vendor.huawei.hardware.gnss@1.2-service:$(TARGET_COPY_OUT_VENDOR)/bin/hw/vendor.huawei.hardware.gnss@1.2-service \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/vendor.huawei.hardware.graphics.mediacomm@2.0-service:$(TARGET_COPY_OUT_VENDOR)/bin/hw/vendor.huawei.hardware.graphics.mediacomm@2.0-service \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/vendor.huawei.hardware.hisupl@1.0-service:$(TARGET_COPY_OUT_VENDOR)/bin/hw/vendor.huawei.hardware.hisupl@1.0-service \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/hw/vendor.huawei.hardware.libteec@2.0-service:$(TARGET_COPY_OUT_VENDOR)/bin/hw/vendor.huawei.hardware.libteec@2.0-service \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/oam_hisi:$(TARGET_COPY_OUT_VENDOR)/bin/oam_hisi \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/octty:$(TARGET_COPY_OUT_VENDOR)/bin/octty \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/oeminfo_gamma:$(TARGET_COPY_OUT_VENDOR)/bin/oeminfo_gamma \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/oeminfo_nvm_server:$(TARGET_COPY_OUT_VENDOR)/bin/oeminfo_nvm_server \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_6165_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_6165_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_6175_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_6175_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_61853_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_61853_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_61856_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_61856_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_6185_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_6185_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_6185_ta_pra.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_6185_ta_pra.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_6185_ta_was.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_6185_ta_was.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_6275_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_6275_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/silead_6275_ta_handel.sec:$(TARGET_COPY_OUT_VENDOR)/bin/silead_6275_ta_handel.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/start_connectivity_hisi:$(TARGET_COPY_OUT_VENDOR)/bin/start_connectivity_hisi \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/syna_109A0_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/syna_109A0_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/syna_155A_ta.sec:$(TARGET_COPY_OUT_VENDOR)/bin/syna_155A_ta.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/syna_155A_ta_lldp.sec:$(TARGET_COPY_OUT_VENDOR)/bin/syna_155A_ta_lldp.sec \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/teecd:$(TARGET_COPY_OUT_VENDOR)/bin/teecd \
    vendor/huawei/hi6250-9-common/proprietary/vendor/bin/tlogcat:$(TARGET_COPY_OUT_VENDOR)/bin/tlogcat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/bluetooth/bt_vendor.conf:$(TARGET_COPY_OUT_VENDOR)/etc/bluetooth/bt_vendor.conf \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/bshutter/default/algo.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/bshutter/default/algo.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/bshutter/default/info.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/bshutter/default/info.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/cnnmodel/frontbokeh/DNN_Seg_Short_329.model:$(TARGET_COPY_OUT_VENDOR)/etc/camera/cnnmodel/frontbokeh/DNN_Seg_Short_329.model \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/default/gcd.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/default/gcd.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/default/rawnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/default/rawnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/default/sharpen.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/default/sharpen.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/default/yuvnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/default/yuvnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/digitalzoom/default/gcd.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/digitalzoom/default/gcd.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/digitalzoom/default/rawnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/digitalzoom/default/rawnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/digitalzoom/default/sharpen.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/digitalzoom/default/sharpen.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/digitalzoom/default/yuvnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/digitalzoom/default/yuvnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/multidenoise/default/rawnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/multidenoise/default/rawnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/multidenoise/default/rawnf_aux.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/multidenoise/default/rawnf_aux.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/multidenoise/default/sharpen.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/multidenoise/default/sharpen.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/multidenoise/default/sharpen_aux.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/multidenoise/default/sharpen_aux.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/multidenoise/default/yuvnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/multidenoise/default/yuvnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/multidenoise/default/yuvnf_aux.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/multidenoise/default/yuvnf_aux.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/gcd.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/gcd.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/gcd_aux.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/gcd_aux.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/rawnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/rawnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/rawnf_aux.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/rawnf_aux.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/sharpen.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/sharpen.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/sharpen_aux.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/sharpen_aux.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/yuvnf.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/yuvnf.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/configeffect/opticalzoom/default/yuvnf_aux.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/configeffect/opticalzoom/default/yuvnf_aux.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/cm_correction.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/cm_correction.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/cm_foliage.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/cm_foliage.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/cm_normal.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/cm_normal.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/cm_sky.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/cm_sky.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/cm_sunset.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/cm_sunset.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/hdr.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/hdr.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/imgproc.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/imgproc.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/multiframe.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/multiframe.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/davinci/default/nicefood/imgproc.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/davinci/default/nicefood/imgproc.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/dcsr/dcsr.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/dcsr/dcsr.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/dcsr/dcsr_kernel:$(TARGET_COPY_OUT_VENDOR)/etc/camera/dcsr/dcsr_kernel \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/dcsr/sr.bin:$(TARGET_COPY_OUT_VENDOR)/etc/camera/dcsr/sr.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/filter/filter.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/filter/filter.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/filter/mixIm.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/filter/mixIm.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/hwbeauty/default/hwbeauty_params.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/hwbeauty/default/hwbeauty_params.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/hwscope/default/hwsz.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/hwscope/default/hwsz.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/hwscope/default/kernel:$(TARGET_COPY_OUT_VENDOR)/etc/camera/hwscope/default/kernel \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/libcl/opticalzoom_source.bin:$(TARGET_COPY_OUT_VENDOR)/etc/camera/libcl/opticalzoom_source.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/libcl/wideAperture.bin:$(TARGET_COPY_OUT_VENDOR)/etc/camera/libcl/wideAperture.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/mmi7cm/default/mmi7cmConfig.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/mmi7cm/default/mmi7cmConfig.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/multidenoise/default/multiframe.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/multidenoise/default/multiframe.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/multidenoise/multidenoise.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/multidenoise/multidenoise.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/nicefood/default/niceFood.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/nicefood/default/niceFood.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/hwnie.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/hwnie.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/hwnie_co.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/hwnie_co.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/hwnie_star.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/hwnie_star.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/hwoz.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/hwoz.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/hwoz_kernel.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/hwoz_kernel.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/hwoz_kernel_6x.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/hwoz_kernel_6x.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/multiframe.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/multiframe.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/oz_ref_match.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/oz_ref_match.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/oz_ref_match_1.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/oz_ref_match_1.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/oz_ref_match_2.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/oz_ref_match_2.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/sr.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/sr.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/sr_lanczos_lut.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/sr_lanczos_lut.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/sr_lanczos_lut_0.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/sr_lanczos_lut_0.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/sr_lanczos_lut_1.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/sr_lanczos_lut_1.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/opticalzoom/default/sr_lanczos_lut_2.dat:$(TARGET_COPY_OUT_VENDOR)/etc/camera/opticalzoom/default/sr_lanczos_lut_2.dat \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/smartae/default/SmartAE.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/smartae/default/SmartAE.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/FoliageMinMaxTOA.txt:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/FoliageMinMaxTOA.txt \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/FoliageModelTOA.model:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/FoliageModelTOA.model \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/IndoorFeatureFilterTOA.txt:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/IndoorFeatureFilterTOA.txt \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/IndoorModelTOA.model:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/IndoorModelTOA.model \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/NightMinMaxTOA.txt:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/NightMinMaxTOA.txt \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/NightModelTOA.model:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/NightModelTOA.model \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/SunsetMinMaxTOA.txt:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/SunsetMinMaxTOA.txt \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/SunsetModelTOA.model:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/SunsetModelTOA.model \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tornado/default/TornadoI.ini:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tornado/default/TornadoI.ini \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/tracking/targettracking.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/tracking/targettracking.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/watermark/dm.argb:$(TARGET_COPY_OUT_VENDOR)/etc/camera/watermark/dm.argb \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/watermark/dm.png:$(TARGET_COPY_OUT_VENDOR)/etc/camera/watermark/dm.png \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/camera/watermark/param.xml:$(TARGET_COPY_OUT_VENDOR)/etc/camera/watermark/param.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/factory_modem.cfg:$(TARGET_COPY_OUT_VENDOR)/etc/factory_modem.cfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/geoloc.conf:$(TARGET_COPY_OUT_VENDOR)/etc/geoloc.conf \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/config/gnss_lss_config_thirdparty.bin:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/config/gnss_lss_config_thirdparty.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/config/gnss_lss_rfg_key_thirdparty.pem:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/config/gnss_lss_rfg_key_thirdparty.pem \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/config/gnss_lss_slp_thirdparty.p12:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/config/gnss_lss_slp_thirdparty.p12 \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/config/gnss_suplconfig_hisi.xml:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/config/gnss_suplconfig_hisi.xml \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/gnss_lss_thirdparty.conf:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/gnss_lss_thirdparty.conf \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/c/a_1:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/c/a_1 \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/c/aindex.bin:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/c/aindex.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/e/a_1:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/e/a_1 \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/e/aindex.bin:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/e/aindex.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/f/a_1:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/f/a_1 \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/f/aindex.bin:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/f/aindex.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/g/a_1:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/g/a_1 \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/g/aindex.bin:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/g/aindex.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/t/a_1:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/t/a_1 \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/gnss/rmd/t/aindex.bin:$(TARGET_COPY_OUT_VENDOR)/etc/gnss/rmd/t/aindex.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/android.hardware.secure_element@1.0-service.hisi.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/android.hardware.secure_element@1.0-service.hisi.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/hisecd.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/hisecd.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/rild.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/rild.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/vendor.huawei.hardware.biometrics.fingerprint@2.1-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.huawei.hardware.biometrics.fingerprint@2.1-service.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/vendor.huawei.hardware.gnss@1.2-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.huawei.hardware.gnss@1.2-service.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/vendor.huawei.hardware.graphics.mediacomm@2.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.huawei.hardware.graphics.mediacomm@2.0-service.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/vendor.huawei.hardware.hisupl@1.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.huawei.hardware.hisupl@1.0-service.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/init/vendor.huawei.hardware.libteec@2.0-service.rc:$(TARGET_COPY_OUT_VENDOR)/etc/init/vendor.huawei.hardware.libteec@2.0-service.rc \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/modemConfig/VIA/basic_name:$(TARGET_COPY_OUT_VENDOR)/etc/modemConfig/VIA/basic_name \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/modemConfig/VIA/viacbp82d_FieldTest.bcfg:$(TARGET_COPY_OUT_VENDOR)/etc/modemConfig/VIA/viacbp82d_FieldTest.bcfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/modemConfig/balong/FieldTest.cfg:$(TARGET_COPY_OUT_VENDOR)/etc/modemConfig/balong/FieldTest.cfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/modemConfig/balong/basic_name:$(TARGET_COPY_OUT_VENDOR)/etc/modemConfig/balong/basic_name \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/modemConfig/hids_ue_msg.cfg:$(TARGET_COPY_OUT_VENDOR)/etc/modemConfig/hids_ue_msg.cfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/modemConfig/viacbp82d_log.bcfg:$(TARGET_COPY_OUT_VENDOR)/etc/modemConfig/viacbp82d_log.bcfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/modemConfig/viacbp82d_shutdown_log.bcfg:$(TARGET_COPY_OUT_VENDOR)/etc/modemConfig/viacbp82d_shutdown_log.bcfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/etc/native_packages.bin:$(TARGET_COPY_OUT_VENDOR)/etc/native_packages.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/BCM4345C0_003.001.025.0033.0000_Generic.hcd:$(TARGET_COPY_OUT_VENDOR)/firmware/BCM4345C0_003.001.025.0033.0000_Generic.hcd \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/CPU_RAM_SCHED.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/CPU_RAM_SCHED.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/CPU_RAM_WBS.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/CPU_RAM_WBS.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/Total.wdk:$(TARGET_COPY_OUT_VENDOR)/firmware/Total.wdk \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/bfgx_and_wifi_cfg:$(TARGET_COPY_OUT_VENDOR)/firmware/bfgx_and_wifi_cfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/bfgx_cfg:$(TARGET_COPY_OUT_VENDOR)/firmware/bfgx_cfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/cr4_asic.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/cr4_asic.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/cr4_regmem.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/cr4_regmem.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/cr4_regmem_u1.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/cr4_regmem_u1.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/emmc_emer_fw.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/emmc_emer_fw.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/fw_bcm43455_apsta_hw.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/fw_bcm43455_apsta_hw.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/fw_bcm43455_hw.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/fw_bcm43455_hw.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/fw_bcm43455_test_hw_apsta.bin:$(TARGET_COPY_OUT_VENDOR)/firmware/fw_bcm43455_test_hw_apsta.bin \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/hifi_6402.img:$(TARGET_COPY_OUT_VENDOR)/firmware/hifi_6402.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/hifi_6402_2spk.img:$(TARGET_COPY_OUT_VENDOR)/firmware/hifi_6402_2spk.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/hifi_6402_2wake.img:$(TARGET_COPY_OUT_VENDOR)/firmware/hifi_6402_2wake.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/hifi_6402_tas2smartpa.img:$(TARGET_COPY_OUT_VENDOR)/firmware/hifi_6402_tas2smartpa.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/hifi_6402_tas2smartpa_no_wakeup_aec.img:$(TARGET_COPY_OUT_VENDOR)/firmware/hifi_6402_tas2smartpa_no_wakeup_aec.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/hifi_6402_tas4smartpa.img:$(TARGET_COPY_OUT_VENDOR)/firmware/hifi_6402_tas4smartpa.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/hifi_6402_tas4smartpa_no_wakeup_aec.img:$(TARGET_COPY_OUT_VENDOR)/firmware/hifi_6402_tas4smartpa_no_wakeup_aec.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/isp_bw.elf:$(TARGET_COPY_OUT_VENDOR)/firmware/isp_bw.elf \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/isp_dts.img:$(TARGET_COPY_OUT_VENDOR)/firmware/isp_dts.img \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/isp_fw.elf:$(TARGET_COPY_OUT_VENDOR)/firmware/isp_fw.elf \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/nvram43455_hw.txt:$(TARGET_COPY_OUT_VENDOR)/firmware/nvram43455_hw.txt \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/nvram43455_hw_vn1.txt:$(TARGET_COPY_OUT_VENDOR)/firmware/nvram43455_hw_vn1.txt \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/ram_reg_test_cfg:$(TARGET_COPY_OUT_VENDOR)/firmware/ram_reg_test_cfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/firmware/wifi_cfg:$(TARGET_COPY_OUT_VENDOR)/firmware/wifi_cfg \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/displayeffect.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/displayeffect.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/egl/libGLES_mali.so:$(TARGET_COPY_OUT_VENDOR)/lib/egl/libGLES_mali.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/ese_hw_hal.so:$(TARGET_COPY_OUT_VENDOR)/lib/ese_hw_hal.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/android.hardware.keymaster@3.0-impl-hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/android.hardware.keymaster@3.0-impl-hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/fingerprint.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/fingerprint.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/gatekeeper.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/gatekeeper.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/gralloc.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/gralloc.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/hwcomposer.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/hwcomposer.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/keystore.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/keystore.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/libhwdisplay.default.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/libhwdisplay.default.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/mediacomm.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/mediacomm.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/memtrack.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/memtrack.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/sensors.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/sensors.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/thermal.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/thermal.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/vendor.huawei.hardware.graphics.mediacomm@2.0-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/vendor.huawei.hardware.graphics.mediacomm@2.0-impl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/hw/vendor.huawei.hardware.libteec@2.0-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib/hw/vendor.huawei.hardware.libteec@2.0-impl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libBootloaderOeminfo.so:$(TARGET_COPY_OUT_VENDOR)/lib/libBootloaderOeminfo.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libOpenCL.so:$(TARGET_COPY_OUT_VENDOR)/lib/libOpenCL.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libOpenCLFoundation.so:$(TARGET_COPY_OUT_VENDOR)/lib/libOpenCLFoundation.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libSR_opencl.so:$(TARGET_COPY_OUT_VENDOR)/lib/libSR_opencl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/lib_device_interface.so:$(TARGET_COPY_OUT_VENDOR)/lib/lib_device_interface.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/lib_factory_interface.so:$(TARGET_COPY_OUT_VENDOR)/lib/lib_factory_interface.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/lib_fpc_tac_shared.so:$(TARGET_COPY_OUT_VENDOR)/lib/lib_fpc_tac_shared.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/lib_mmi_interface.so:$(TARGET_COPY_OUT_VENDOR)/lib/lib_mmi_interface.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/lib_wifi_sar.so:$(TARGET_COPY_OUT_VENDOR)/lib/lib_wifi_sar.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libbalong-ril-1.so:$(TARGET_COPY_OUT_VENDOR)/lib/libbalong-ril-1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libbalong-ril.so:$(TARGET_COPY_OUT_VENDOR)/lib/libbalong-ril.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libc_sec_hisi_connectivity.so:$(TARGET_COPY_OUT_VENDOR)/lib/libc_sec_hisi_connectivity.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libc_secshared.so:$(TARGET_COPY_OUT_VENDOR)/lib/libc_secshared.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libcommril.so:$(TARGET_COPY_OUT_VENDOR)/lib/libcommril.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libfaccommon_share.so:$(TARGET_COPY_OUT_VENDOR)/lib/libfaccommon_share.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libfacsignedapi_share.so:$(TARGET_COPY_OUT_VENDOR)/lib/libfacsignedapi_share.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libgpucommon_vendor_client.so:$(TARGET_COPY_OUT_VENDOR)/lib/libgpucommon_vendor_client.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libgralloc_ext.so:$(TARGET_COPY_OUT_VENDOR)/lib/libgralloc_ext.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libhiion.so:$(TARGET_COPY_OUT_VENDOR)/lib/libhiion.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libhuaweicust.so:$(TARGET_COPY_OUT_VENDOR)/lib/libhuaweicust.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libhw_display_effect.so:$(TARGET_COPY_OUT_VENDOR)/lib/libhw_display_effect.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libhw_display_test.so:$(TARGET_COPY_OUT_VENDOR)/lib/libhw_display_test.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libkeymaster3_attestation.so:$(TARGET_COPY_OUT_VENDOR)/lib/libkeymaster3_attestation.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libmediacomm@2.0-client.so:$(TARGET_COPY_OUT_VENDOR)/lib/libmediacomm@2.0-client.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libnvme.so:$(TARGET_COPY_OUT_VENDOR)/lib/libnvme.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/liboeminfo.so:$(TARGET_COPY_OUT_VENDOR)/lib/liboeminfo.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libomx_vxd.so:$(TARGET_COPY_OUT_VENDOR)/lib/libomx_vxd.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libomx_vxe.so:$(TARGET_COPY_OUT_VENDOR)/lib/libomx_vxe.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libpf_customize_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib/libpf_customize_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libpf_oneimage_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib/libpf_oneimage_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libpf_rotate_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib/libpf_rotate_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libstagefrighthw.so:$(TARGET_COPY_OUT_VENDOR)/lib/libstagefrighthw.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libstorekeybox.so:$(TARGET_COPY_OUT_VENDOR)/lib/libstorekeybox.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libteec.so:$(TARGET_COPY_OUT_VENDOR)/lib/libteec.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libteec_eid.so:$(TARGET_COPY_OUT_VENDOR)/lib/libteec_eid.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/libteec_vendor.so:$(TARGET_COPY_OUT_VENDOR)/lib/libteec_vendor.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.graphics.displayeffect@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.graphics.displayeffect@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.graphics.displayeffect@1.1.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.graphics.displayeffect@1.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.graphics.displayeffect@1.2.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.graphics.displayeffect@1.2.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.graphics.gpucommon@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.graphics.gpucommon@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.graphics.mediacomm@2.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.graphics.mediacomm@2.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.graphics.mediacomm@2.1.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.graphics.mediacomm@2.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.hisiradio@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.hisiradio@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.hisiradio@1.1.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.hisiradio@1.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.radio.chr@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.radio.chr@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.radio.deprecated@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.radio.deprecated@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.radio.ims@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.radio.ims@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib/vendor.huawei.hardware.radio@2.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.huawei.hardware.radio@2.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/displayeffect.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/displayeffect.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/egl/libGLES_mali.so:$(TARGET_COPY_OUT_VENDOR)/lib64/egl/libGLES_mali.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/ese_hw_hal.so:$(TARGET_COPY_OUT_VENDOR)/lib64/ese_hw_hal.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/CameraFactoryService.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/CameraFactoryService.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/android.hardware.keymaster@3.0-impl-hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/android.hardware.keymaster@3.0-impl-hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/audio.primary_hisi.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/audio.primary_hisi.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/fingerprint.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/fingerprint.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/gatekeeper.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/gatekeeper.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/gps.hi1102.default.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/gps.hi1102.default.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/gps.hisi.default.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/gps.hisi.default.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/gralloc.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/gralloc.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/hicam.hal.bz.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/hicam.hal.bz.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/hicam.hal.service.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/hicam.hal.service.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/hisupl.hi1102.default.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/hisupl.hi1102.default.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/hwcomposer.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/hwcomposer.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/keystore.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/keystore.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/libhwdisplay.default.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/libhwdisplay.default.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/mediacomm.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/mediacomm.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/memtrack.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/memtrack.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/sensors.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/sensors.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/thermal.hi6250.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/thermal.hi6250.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/vendor.huawei.hardware.camera.factory@1.0-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/vendor.huawei.hardware.camera.factory@1.0-impl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/vendor.huawei.hardware.gnss@1.2-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/vendor.huawei.hardware.gnss@1.2-impl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/vendor.huawei.hardware.graphics.mediacomm@2.0-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/vendor.huawei.hardware.graphics.mediacomm@2.0-impl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/vendor.huawei.hardware.hisupl@1.0-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/vendor.huawei.hardware.hisupl@1.0-impl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hw/vendor.huawei.hardware.libteec@2.0-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hw/vendor.huawei.hardware.libteec@2.0-impl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hwcam/hwcam.ddt.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hwcam/hwcam.ddt.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/hwcam/hwcam.services.so:$(TARGET_COPY_OUT_VENDOR)/lib64/hwcam/hwcam.services.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libBestShot.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libBestShot.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libBootloaderOeminfo.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libBootloaderOeminfo.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libFaceBeautyMeiwo.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libFaceBeautyMeiwo.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libHW_BShutter.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libHW_BShutter.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libOpenCL.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libOpenCL.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libOpenCLFoundation.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libOpenCLFoundation.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libSR_opencl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libSR_opencl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libSmartAE.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libSmartAE.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libVideoDenoise.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libVideoDenoise.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/lib_device_interface.so:$(TARGET_COPY_OUT_VENDOR)/lib64/lib_device_interface.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/lib_factory_interface.so:$(TARGET_COPY_OUT_VENDOR)/lib64/lib_factory_interface.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/lib_fpc_tac_shared.so:$(TARGET_COPY_OUT_VENDOR)/lib64/lib_fpc_tac_shared.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/lib_mmi_interface.so:$(TARGET_COPY_OUT_VENDOR)/lib64/lib_mmi_interface.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/lib_wifi_sar.so:$(TARGET_COPY_OUT_VENDOR)/lib64/lib_wifi_sar.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libasd.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libasd.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libaudio_custom.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libaudio_custom.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libaudio_custom_v2.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libaudio_custom_v2.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libaudio_utils.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libaudio_utils.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libaudiodump.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libaudiodump.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libbalong-ril-1.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libbalong-ril-1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libbalong-ril.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libbalong-ril.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libbt-vendor-hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libbt-vendor-hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libbt-vendor-bcm.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libbt-vendor-bcm.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libc_sec_hisi_connectivity.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libc_sec_hisi_connectivity.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libc_secshared.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libc_secshared.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libcamera_algo.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libcamera_algo.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libcamera_ivp.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libcamera_ivp.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libcamerabuffer.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libcamerabuffer.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libcommril.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libcommril.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libconn_factory_test.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libconn_factory_test.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libcontrastCal.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libcontrastCal.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libdcamera_capture.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libdcamera_capture.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libdcamera_sr.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libdcamera_sr.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libdcamera_stream.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libdcamera_stream.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libdcamera_visual_effect.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libdcamera_visual_effect.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libfaccommon_share.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libfaccommon_share.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libfacedetection.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libfacedetection.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libfacsignedapi_share.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libfacsignedapi_share.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libfcamera_visual_effect.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libfcamera_visual_effect.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgnss_common_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgnss_common_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgnss_lss_gw_thirdparty.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgnss_lss_gw_thirdparty.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgnss_supl10client_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgnss_supl10client_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgnss_supl20client_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgnss_supl20client_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgnss_supl20common_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgnss_supl20common_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgnss_supl20if_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgnss_supl20if_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgpucommon_vendor_client.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgpucommon_vendor_client.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libgralloc_ext.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libgralloc_ext.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libhdr.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libhdr.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libhiion.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libhiion.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libhuaweiaudioeffectutil.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libhuaweiaudioeffectutil.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libhuaweicust.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libhuaweicust.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libhw_display_effect.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libhw_display_effect.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libhw_display_test.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libhw_display_test.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libimedia_filters.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libimedia_filters.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libispenhnc.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libispenhnc.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libjtag_wdt_ctrl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libjtag_wdt_ctrl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libkeymaster3_attestation.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libkeymaster3_attestation.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmax98925.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmax98925.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmediacomm@2.0-client.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmediacomm@2.0-client.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmorpho_effect_library5.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmorpho_effect_library5.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmotiondetect.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmotiondetect.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmrc_cg_ldc.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmrc_cg_ldc.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmrc_cg_mfdenoise.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmrc_cg_mfdenoise.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmrc_cg_niceFood.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmrc_cg_niceFood.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmrc_cg_postprocess.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmrc_cg_postprocess.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmrc_cg_postprocess_cl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmrc_cg_postprocess_cl.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libmrc_cg_sz.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libmrc_cg_sz.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libnvme.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libnvme.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/liboeminfo.so:$(TARGET_COPY_OUT_VENDOR)/lib64/liboeminfo.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libomx_vxd.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libomx_vxd.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libomx_vxe.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libomx_vxe.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libpf_customize_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libpf_customize_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libpf_oneimage_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libpf_oneimage_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libpf_rotate_hisi.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libpf_rotate_hisi.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libscenedetection.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libscenedetection.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libsmartpakit.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libsmartpakit.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libstagefrighthw.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libstagefrighthw.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libstorekeybox.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libstorekeybox.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libtas2560.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libtas2560.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libteec.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libteec.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libteec_eid.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libteec_eid.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/libteec_vendor.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libteec_vendor.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/soundfx/libhuaweiprocessing.so:$(TARGET_COPY_OUT_VENDOR)/lib64/soundfx/libhuaweiprocessing.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/soundfx/liboffloadvisualizer.so:$(TARGET_COPY_OUT_VENDOR)/lib64/soundfx/liboffloadvisualizer.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.camResource.orbService@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.camResource.orbService@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.camResource@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.camResource@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.camResource@1.1.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.camResource@1.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.camResource@1.2.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.camResource@1.2.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.camResource@1.3.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.camResource@1.3.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.cfgsvr@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.cfgsvr@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.cfgsvr@1.1.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.cfgsvr@1.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.camera.factory@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.camera.factory@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.gnss@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.gnss@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.gnss@1.1.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.gnss@1.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.gnss@1.2.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.gnss@1.2.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.graphics.displayeffect@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.graphics.displayeffect@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.graphics.displayeffect@1.1.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.graphics.displayeffect@1.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.graphics.displayeffect@1.2.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.graphics.displayeffect@1.2.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.graphics.gpucommon@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.graphics.gpucommon@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.graphics.mediacomm@2.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.graphics.mediacomm@2.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.graphics.mediacomm@2.1.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.graphics.mediacomm@2.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.hisiradio@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.hisiradio@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.hisiradio@1.1.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.hisiradio@1.1.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.hisupl@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.hisupl@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.radio.chr@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.radio.chr@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.radio.deprecated@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.radio.deprecated@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.radio.ims@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.radio.ims@1.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/lib64/vendor.huawei.hardware.radio@2.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.huawei.hardware.radio@2.0.so \
    vendor/huawei/hi6250-9-common/proprietary/vendor/phone.prop:$(TARGET_COPY_OUT_VENDOR)/phone.prop \
    vendor/huawei/hi6250-9-common/proprietary/vendor/usr/idc/fingerprint.idc:$(TARGET_COPY_OUT_VENDOR)/usr/idc/fingerprint.idc

PRODUCT_PACKAGES += \
    libril-hisi \
    gnss_supl20service_hisi
